# TencentLBSLocation Class Reference

Inherits from | NSObject
Conforms to | NSCopying NSSecureCoding
Declared in | TencentLBSLocation.h

### `location`

返回当前位置的CLLocation信息

`@property (nonatomic, strong) CLLocation *location`

#### Discussion

返回当前位置的CLLocation信息

#### Declared In

`TencentLBSLocation.h`

### `areaStat`

返回当前位置的行政区划, 0-表示中国大陆、港、澳, 1-表示其他

`@property (nonatomic, assign) NSInteger areaStat`

#### Discussion

返回当前位置的行政区划, 0-表示中国大陆、港、澳, 1-表示其他

#### Declared In

`TencentLBSLocation.h`

### `fakeCode`

返回当前位置的作弊码

`@property (nonatomic, assign) TencentLBSLocationFake fakeCode`

#### Discussion

返回当前位置的作弊码

#### Declared In

`TencentLBSLocation.h`

### `buildingId`

返回室内定位楼宇Id

`@property (nonatomic, copy, nullable) NSString *buildingId`

#### Discussion

返回室内定位楼宇Id

#### Declared In

`TencentLBSLocation.h`

### `buildingFloor`

返回室内定位楼层

`@property (nonatomic, copy, nullable) NSString *buildingFloor`

#### Discussion

返回室内定位楼层

#### Declared In

`TencentLBSLocation.h`

### `indoorLocationType`

返回室内定位类型，0表示普通定位结果，1表示蓝牙室内定位结果

`@property (nonatomic, assign) NSInteger indoorLocationType`

#### Discussion

返回室内定位类型，0表示普通定位结果，1表示蓝牙室内定位结果

#### Declared In

`TencentLBSLocation.h`

### `drProvider`

`@property (nonatomic, assign) TencentLBSDRProvider drProvider`

#### Declared In

`TencentLBSLocation.h`

### `locationProvider`

普适定位结果来源

`@property (nonatomic, assign) TencentLBSLocationProvider locationProvider`

#### Discussion

普适定位结果来源

#### Declared In

`TencentLBSLocation.h`

### `name`

返回当前位置的名称， 仅当TencentLBSRequestLevel为TencentLBSRequestLevelName或TencentLBSRequestLevelAdminName或TencentLBSRequestLevelPoi有返回值，否则为空

`@property (nonatomic, copy, nullable) NSString *name`

#### Discussion

返回当前位置的名称， 仅当TencentLBSRequestLevel为TencentLBSRequestLevelName或TencentLBSRequestLevelAdminName或TencentLBSRequestLevelPoi有返回值，否则为空

#### Declared In

`TencentLBSLocation.h`

### `address`

返回当前位置的地址 仅当TencentLBSRequestLevel为TencentLBSRequestLevelName或TencentLBSRequestLevelAdminName有返回值，否则为空

`@property (nonatomic, copy, nullable) NSString *address`

#### Discussion

返回当前位置的地址 仅当TencentLBSRequestLevel为TencentLBSRequestLevelName或TencentLBSRequestLevelAdminName有返回值，否则为空

#### Declared In

`TencentLBSLocation.h`

### `nationCode`

返回国家编码，例如中国为156 注意：该接口涉及到WebService API，请参考https://lbs.qq.com/service/webService/webServiceGuide/webServiceOverview中的配额限制说明， 并将申请的有效key通过TencentLBSLocationManager的- (void)setDataWithValue: forKey:方法设置，其中key为固定值@“ReGeoCodingnKey"，例如[tencentLocationManager setDataWithValue:@"您申请的key（务必正确）” forKey:@“ReGeoCodingnKey”];，否则将返回默认值0

`@property (nonatomic, assign) NSInteger nationCode`

#### Discussion

返回国家编码，例如中国为156 注意：该接口涉及到WebService API，请参考https://lbs.qq.com/service/webService/webServiceGuide/webServiceOverview中的配额限制说明， 并将申请的有效key通过TencentLBSLocationManager的- (void)setDataWithValue: forKey:方法设置，其中key为固定值@“ReGeoCodingnKey"，例如[tencentLocationManager setDataWithValue:@"您申请的key（务必正确）” forKey:@“ReGeoCodingnKey”];，否则将返回默认值0

#### Declared In

`TencentLBSLocation.h`

### `code`

返回当前位置的城市编码 仅当TencentLBSRequestLevel为TencentLBSRequestLevelAdminName或TencentLBSRequestLevelPoi有返回值，否则为空

`@property (nonatomic, copy, nullable) NSString *code`

#### Discussion

返回当前位置的城市编码 仅当TencentLBSRequestLevel为TencentLBSRequestLevelAdminName或TencentLBSRequestLevelPoi有返回值，否则为空

#### Declared In

`TencentLBSLocation.h`

### `nation`

返回当前位置的国家 仅当TencentLBSRequestLevel为TencentLBSRequestLevelAdminName或TencentLBSRequestLevelPoi有返回值，否则为空

`@property (nonatomic, copy, nullable) NSString *nation`

#### Discussion

返回当前位置的国家 仅当TencentLBSRequestLevel为TencentLBSRequestLevelAdminName或TencentLBSRequestLevelPoi有返回值，否则为空

#### Declared In

`TencentLBSLocation.h`

### `province`

返回当前位置的省份 仅当TencentLBSRequestLevel为TencentLBSRequestLevelAdminName或TencentLBSRequestLevelPoi有返回值，否则为空

`@property (nonatomic, copy, nullable) NSString *province`

#### Discussion

返回当前位置的省份 仅当TencentLBSRequestLevel为TencentLBSRequestLevelAdminName或TencentLBSRequestLevelPoi有返回值，否则为空

#### Declared In

`TencentLBSLocation.h`

### `cityPhoneCode`

返回当前位置的城市固话编码. 仅当TencentLBSRequestLevel为TencentLBSRequestLevelAdminName或TencentLBSRequestLevelPoi有返回值，否则为空

`@property (nonatomic, copy, nullable) NSString *cityPhoneCode`

#### Discussion

返回当前位置的城市固话编码. 仅当TencentLBSRequestLevel为TencentLBSRequestLevelAdminName或TencentLBSRequestLevelPoi有返回值，否则为空

#### Declared In

`TencentLBSLocation.h`

### `city`

返回当前位置的城市 仅当TencentLBSRequestLevel为TencentLBSRequestLevelAdminName或TencentLBSRequestLevelPoi有返回值，否则为空

`@property (nonatomic, copy, nullable) NSString *city`

#### Discussion

返回当前位置的城市 仅当TencentLBSRequestLevel为TencentLBSRequestLevelAdminName或TencentLBSRequestLevelPoi有返回值，否则为空

#### Declared In

`TencentLBSLocation.h`

### `district`

返回当前位置的区县 仅当TencentLBSRequestLevel为TencentLBSRequestLevelAdminName或TencentLBSRequestLevelPoi有返回值，否则为空

`@property (nonatomic, copy, nullable) NSString *district`

#### Discussion

返回当前位置的区县 仅当TencentLBSRequestLevel为TencentLBSRequestLevelAdminName或TencentLBSRequestLevelPoi有返回值，否则为空

#### Declared In

`TencentLBSLocation.h`

### `town`

返回当前位置的乡镇 仅当TencentLBSRequestLevel为TencentLBSRequestLevelAdminName或TencentLBSRequestLevelPoi有返回值，否则为空

`@property (nonatomic, copy, nullable) NSString *town`

#### Discussion

返回当前位置的乡镇 仅当TencentLBSRequestLevel为TencentLBSRequestLevelAdminName或TencentLBSRequestLevelPoi有返回值，否则为空

#### Declared In

`TencentLBSLocation.h`

### `village`

返回当前位置的村 仅当TencentLBSRequestLevel为TencentLBSRequestLevelAdminName或TencentLBSRequestLevelPoi有返回值，否则为空

`@property (nonatomic, copy, nullable) NSString *village`

#### Discussion

返回当前位置的村 仅当TencentLBSRequestLevel为TencentLBSRequestLevelAdminName或TencentLBSRequestLevelPoi有返回值，否则为空

#### Declared In

`TencentLBSLocation.h`

### `street`

返回当前位置的街道 仅当TencentLBSRequestLevel为TencentLBSRequestLevelAdminName或TencentLBSRequestLevelPoi有返回值，否则为空

`@property (nonatomic, copy, nullable) NSString *street`

#### Discussion

返回当前位置的街道 仅当TencentLBSRequestLevel为TencentLBSRequestLevelAdminName或TencentLBSRequestLevelPoi有返回值，否则为空

#### Declared In

`TencentLBSLocation.h`

### `street_no`

返回当前位置的街道编码 仅当TencentLBSRequestLevel为TencentLBSRequestLevelAdminName或TencentLBSRequestLevelPoi有返回值，否则为空

`@property (nonatomic, copy, nullable) NSString *street_no`

#### Discussion

返回当前位置的街道编码 仅当TencentLBSRequestLevel为TencentLBSRequestLevelAdminName或TencentLBSRequestLevelPoi有返回值，否则为空

#### Declared In

`TencentLBSLocation.h`

### `poiList`

返回当前位置周围的POI 仅当TencentLBSRequestLevel为TencentLBSRequestLevelPoi有返回值，否则为空

`@property (nonatomic, strong, nullable) NSArray<TencentLBSPoi*> *poiList`

#### Discussion

返回当前位置周围的POI 仅当TencentLBSRequestLevel为TencentLBSRequestLevelPoi有返回值，否则为空

#### Declared In

`TencentLBSLocation.h`

### `– distanceFromLocation:`

返回两个位置之间的横向距离 @param location

`- (double)distanceFromLocation:(const TencentLBSLocation *)location`

#### Discussion

返回两个位置之间的横向距离 @param location

#### Declared In

`TencentLBSLocation.h`